Skip to content

Approve

POST
/api/disclosures/{disclosure_id}/approve
curl --request POST \
--url https://agentauthority.org/api/disclosures/example/approve \
--header 'Content-Type: application/json' \
--header 'idempotency-key: example' \
--data '{ "approved_fields": [ "jurisdiction" ], "token_hash": "example", "expires_at": 1, "mode": "single" }'
disclosure_id
required
Disclosure Id
string
idempotency-key
required
Idempotency-Key
string
>= 8 characters <= 128 characters
Media typeapplication/json
Approval
object
approved_fields
Approved Fields
Array<string>
<= 2 items
Allowed values: jurisdiction owner_kind
token_hash
required
Token Hash
string
/^[a-f0-9]{64}$/
expires_at
Any of:
integer
mode
Mode
string
default: repeated
Allowed values: single repeated

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}